Bug 461368 - RFE: Please update to 2.1_beta5
RFE: Please update to 2.1_beta5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: warzone2100 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karol Trzcionka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 15:20 EDT by Bruno Wolff III
Modified: 2008-11-09 23:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 18:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-09-06 15:20:18 EDT
Description of problem:
2.1_beta4 was released a couple of months ago and has fixes and license changes.
See:
http://svn.gna.org/svn/warzone/tags/2.1_beta4/ChangeLog
Thanks.

Version-Release number of selected component (if applicable):
2.1.0-0.5.beta2.fc10.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Karol Trzcionka 2008-09-07 03:04:33 EDT
I wanted to release beta4, but I tested it and it doesn't work for me (because of graphics). I'll release it soon in rawhide.
Comment 2 Bruno Wolff III 2008-09-07 11:06:03 EDT
Rawhide will be fine. I just moved my home machine to rawhide yesterday, so I'll be able to try out the newer version. I haven't played the game much yet. I'm hoping to play it with my weekly computer gaming group (though there it would be being run under windows), so I want to get a bit farther in the game.
I have a radeon 9200 and the beta2 version seems to run OK with that card.
Comment 3 Bruno Wolff III 2008-10-01 11:52:41 EDT
Beta 5 is out now, so I am modifying the RFE.
Comment 4 MERCIER Jonathan 2008-10-02 15:01:15 EDT
they now beta 5 and the release 2.2 in testing.
If packager didn't have enough time i can build a rpm for this release. I only need warzone's spec!
Comment 5 MERCIER Jonathan 2008-10-02 15:28:36 EDT
they now beta 5 and the release 2.2 in testing.
If packager didn't have enough time i can build a rpm for this release. I only need warzone's spec!
Comment 6 Karol Trzcionka 2008-10-02 18:09:08 EDT
It doesn't work for me but it might work for you, so I've updated warzone2100 in rawhide.
Comment 7 MERCIER Jonathan 2008-10-03 01:57:24 EDT
you want said they are warzone_2100 beta 5 for fedora 10? can u build a rpm for fedora 9 please? If you are enough time i can build for you
Comment 8 Bruno Wolff III 2008-10-03 11:05:36 EDT
I tested the beta5 version and it worked for me. It was very slow on the machine I tested it on. However running a version compiled from up to date svn did the same thing as well as the beta2 version (which used to run faster). So I expect the slow down is related to the development of the radeon driver.
Comment 9 MERCIER Jonathan 2008-10-05 08:11:23 EDT
Name:           warzone2100
Version:        2.1.0
Release:        0.6.beta5%{?dist}
Summary:        Innovative 3D real-time strategy

Group:          Amusements/Games
License:        GPLv2+
URL:            http://wz2100.net/
Source0:        http://download.gna.org/warzone/releases/2.0/%{name}-2.1_beta5.tar.bz2
Patch0:         warzone2100-2.1_beta5-encoding.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: physfs-devel SDL_net-devel openal-devel bison flex zip
BuildRequires: libjpeg-devel libpng-devel libogg-devel libvorbis-devel
BuildRequires: quesoglc-devel popt-devel gettext
BuildRequires: automake >= 1.8
BuildRequires: desktop-file-utils
Requires:      dejavu-fonts
Obsoletes:     warzone2100-data

%description
Warzone 2100 was an innovative 3D real-time strategy game back in 1999, and
most will agree it didn't enjoy the commercial success it should have had. The
game's source code was liberated on December 6th, 2004, under a GPL license
(see COPYING in this directory for details). Soon after that, the Warzone 2100
ReDev project was formed to take care of its future.

%prep
%setup -q -n %{name}-2.1_beta5
%patch0 -p0

%build
%configure --disable-mp3 --with-distributor="Fedora"
make %{_smp_mflags}

%install
rm -rf 
make install DESTDIR=
rm -rf %{_defaultdocdir}
desktop-file-install --vendor="fedora"                                         --dir=%{_datadir}/applications/           %{_datadir}/applications/%{name}.desktop
rm %{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf 


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/warzone2100
%{_datadir}/icons/warzone*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/warzone2100
%doc AUTHORS ChangeLog COPYING COPYING.README

%changelog
* Sun Oct 05 2008 Jonathan MERCIER <bioinfornatics at gmail.com> - 2.1.0-0.5.beta5
- Upadte to v2.1.0-beta5
* Tue Apr 22 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.5.beta2
- Update to v2.1.0-beta2
- Add requires
* Mon Mar 03 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.4.beta1
- Fix ppc build
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.3.beta1
- add translations
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.2.beta1
- Fix BRs
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.1.beta1
- Update to v2.1.0-beta1
- Remove ExcludeArch
* Sun Dec 30 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.10-1
- Update to v2.0.10
* Mon Dec 03 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-2
- Fix desktop-file for fedora 9
* Mon Dec 03 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-1
- Update to v2.0.8 and apply fixsound
* Mon Nov 19 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-0.1.rc1
- Update to v2.0.8_rc1
* Wed Oct 17 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-5
- Fix build on koji ppc (remove smp_flags)
- set ExcludeArch x86_64 ppc64 sparc64 alpha
* Wed Oct 17 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-4
- Merge data subpackage with core package
- Replace ExcludeArch with ExclusiveArch
* Sun Aug 19 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-3
- Apply upstream patch
* Sun Jun 24 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-2
- Add ppc64 to ExcludeArch
* Sun Jun 24 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-1
- Update to v2.0.7
* Sun Apr 08 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.6-2
- Fix build-problem in fedora 7
* Sat Apr 07 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.6-1
- Update to v2.0.6
* Fri Jan 26 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-4
- Update BRs for FC-5
* Tue Jan 16 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-3
- change ExclusiveArch: i386 to ExcludeArch: x86_64
* Tue Jan 09 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-2
- add an ExclusiveArch
* Sun Dec 31 2006 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-1
- Initial Release
Comment 10 MERCIER Jonathan 2008-10-05 09:48:30 EDT
The spec file:
Name:           warzone2100
Version:        2.1.0
Release:        0.6.beta5%{?dist}
Summary:        Innovative 3D real-time strategy

Group:          Amusements/Games
License:        GPLv2+
URL:            http://wz2100.net/
Source0:        http://download.gna.org/warzone/releases/2.1/%{name}-2.1_beta5.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: physfs-devel SDL_net-devel openal-devel bison flex zip
BuildRequires: libjpeg-devel libpng-devel libogg-devel libvorbis-devel
BuildRequires: quesoglc-devel popt-devel gettext
BuildRequires: automake >= 1.8
BuildRequires: desktop-file-utils
Obsoletes:     warzone2100-data

%description
Warzone 2100 was an innovative 3D real-time strategy game back in 1999, and
most will agree it didn't enjoy the commercial success it should have had. The
game's source code was liberated on December 6th, 2004, under a GPL license
(see COPYING in this directory for details). Soon after that, the Warzone 2100
ReDev project was formed to take care of its future.

%prep
%setup -q -n %{name}-2.1_beta5

%build
%configure --disable-mp3 --with-distributor="Fedora"
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}
desktop-file-install --vendor="fedora"                                 \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications/   \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
rm $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/warzone2100
%{_datadir}/icons/warzone*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/warzone2100
%doc AUTHORS ChangeLog COPYING COPYING.README


%changelog
* Sun Oct 05 2008 Jonathan MERCIER <bioinfornatics at gmail.com> - 2.1.0-0.5.beta5
- Upadte to v2.1.0-beta5
* Tue Apr 22 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.5.beta2
- Update to v2.1.0-beta2
- Add requires
* Mon Mar 03 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.4.beta1
- Fix ppc build
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.3.beta1
- add translations
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.2.beta1
- Fix BRs
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.1.beta1
- Update to v2.1.0-beta1
- Remove ExcludeArch
* Sun Dec 30 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.10-1
- Update to v2.0.10
* Mon Dec 03 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-2
- Fix desktop-file for fedora 9
* Mon Dec 03 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-1
- Update to v2.0.8 and apply fixsound
* Mon Nov 19 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-0.1.rc1
- Update to v2.0.8_rc1
* Wed Oct 17 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-5
- Fix build on koji ppc (remove smp_flags)
- set ExcludeArch x86_64 ppc64 sparc64 alpha
* Wed Oct 17 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-4
- Merge data subpackage with core package
- Replace ExcludeArch with ExclusiveArch
* Sun Aug 19 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-3
- Apply upstream patch
* Sun Jun 24 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-2
- Add ppc64 to ExcludeArch
* Sun Jun 24 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-1
- Update to v2.0.7
* Sun Apr 08 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.6-2
- Fix build-problem in fedora 7
* Sat Apr 07 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.6-1
- Update to v2.0.6
* Fri Jan 26 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-4
- Update BRs for FC-5
* Tue Jan 16 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-3
- change ExclusiveArch: i386 to ExcludeArch: x86_64
* Tue Jan 09 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-2
- add an ExclusiveArch
* Sun Dec 31 2006 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-1
- Initial Release

_______________________________________________________________________
the rpmlint:
$ rpmlint SRPMS/warzone2100-2.1.0-0.6.beta5.fc9.src.rpm 
warzone2100.src:17: W: unversioned-explicit-obsoletes warzone2100-data
warzone2100.src: W: strange-permission warzone2100.spec 0666
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/x86_64/warzone2100-debuginfo-2.1.0-0.6.beta5.fc9.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/x86_64/warzone2100-2.1.0-0.6.beta5.fc9.x86_64.rpm 
warzone2100.x86_64: W: incoherent-version-in-changelog 2.1.0-0.5.beta5 2.1.0-0.6.beta5.fc9
warzone2100.x86_64: W: obsolete-not-provided warzone2100-data
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 11 MERCIER Jonathan 2008-10-06 02:05:08 EDT
here the rpm:
 http://jonathan.site.voila.fr/warzone2100-2.1.0-0.6.beta5.fc9.x86_64.rpm
__________________________________________

here the src.rpm:
 http://jonathan.site.voila.fr/warzone2100-2.1.0-0.6.beta5.fc9.src.rpm
Comment 13 Karol Trzcionka 2008-10-06 07:05:03 EDT
I've built it two days ago but I forgot to write about that in bugreport, sorry.
Ah... please use "Attachments" in future if you want upload any files (not paste it) and check if the bug is not fixed before :)

https://admin.fedoraproject.org/updates/warzone2100-2.1.0-0.6.beta5.fc9
http://koji.fedoraproject.org/koji/buildinfo?buildID=65303
Comment 14 MERCIER Jonathan 2008-10-06 09:08:46 EDT
ok ;) , i testing the new release they are often : buffer overflow. i continue testing it.
Comment 15 Bruno Wolff III 2008-11-09 23:21:25 EST
As an update on this, 2.1rc1 is out now.

Note You need to log in before you can comment on or make changes to this bug.